4.0-4.1 and Cisco 1000v

Due to the 1000v, I have witnessed some new challenges recently. The latest one has been the upgrade from 4.0 to 4.1. When running the upgrade from VUM, I kept getting failure notifications due to incompatible software installed on the host. It turns out the CISCO VEM was not seen as a friend even with the VSM version 3a running. I ended doing the following to make it work. A little dirty but worked!

Remove the CISCO VEM from the host
vihostupdate.pl –server hostname -r -B VEM400-XXXXXXXX

Install the upgrade on the host
vihostupdate.pl –server ip address -i –bundle “location of upgrade fileupgrade-from-ESXi4.0-to-4.1.0-0.0.260247-release.zip”

I would remove the host from the 1000v as it is being rebooted. Once the host comes back up, add the host to the 1000v again and the VEM would be deployed. Now enjoy the fruits of 4.1.